Subject: [BUG] git-1.7.2-rc1, cherry-picking with gitk

From: Chris Packham <[email-masked]>
Date: Fri, 09 Jul 2010 14:21:42 -0700

Hi,

Just noticed this when I was trying to cherry-pick a commit from one
branch to another.

I launch gitk with 'gitk master..work' and right-click a commit to be
cherry-picked. The cherry-pick seems to work (i.e. a new commit appears
on master) but I get the following message from gitk:

can't read "circleitem(5)": no such element in array
can't read "circleitem(5)": no such element in array
    while executing
"$canv itemconf $circleitem($row) -fill $ofill"
    (procedure "redrawtags" line 13)
    invoked from within
"redrawtags $oldhead"
    (procedure "cherrypick" line 46)
    invoked from within
"cherrypick"
    invoked from within
".rowctxmenu invoke active"
    ("uplevel" body line 1)
    invoked from within
"uplevel #0 [list $w invoke active]"
    (procedure "tk::MenuInvoke" line 50)
    invoked from within
"tk::MenuInvoke .rowctxmenu 1"
    (command bound to event)

I've been doing similar things with older versions of git without
problems (technically I usually do 'gitk --all' instead of 'gitk
master..work').

--
Thanks,
Chris